Bug 19904 - Unable to write '^' and '~'
Summary: Unable to write '^' and '~'
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-27 12:15 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 19:47:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-27 12:15:12 UTC
If I'm using the perl Majormode for emacs, I can't write ^ and ~.

Comment 1 Need Real Name 2000-10-27 12:18:50 UTC
Sorry, I forget to say that I've added
emacs*font: fixed
to ~/.Xdefaults.


Comment 2 Trond Eivind Glomsrxd 2000-10-30 03:43:51 UTC
Try using space after entering one of those - you're probably just using dead keys.

Comment 3 Need Real Name 2000-11-03 11:07:24 UTC
No, I have thought of that.

Emacs gives me a (visual) bell every time I
hit those keys.

Comment 4 Trond Eivind Glomsrxd 2000-12-04 22:45:38 UTC
It works fine for me... are you able to write it in other modes? Tried unsetting
your locale?

Comment 5 Trond Eivind Glomsrxd 2000-12-14 16:25:19 UTC
Have you had the time to try the suggestions I made?

Comment 6 Need Real Name 2000-12-15 08:18:14 UTC
$LANG = en_US
Keyboard Layout: de

I haven't set any additionial locale evnironment.

In the meantime I'm using xemacs, which doesn't have
that problem.  :-)


Comment 7 Matt Wilson 2000-12-26 23:21:07 UTC
emacs in an x-terminal does not work with dead keys, but pressing the dead key
twice should work properly.  Run:
"setxkbmap -v 9 de" and send the output.


Comment 8 Ngo Than 2000-12-28 14:22:51 UTC
you should set XkbVariant to nodeadkeys in /etc/X11/XF86Config. It fixes this
problem

   XkbVariant      "nodeadkeys"


Comment 9 Trond Eivind Glomsrxd 2001-01-08 19:46:59 UTC
Reassigning to XFree - this isn't a XFree problem.


Note You need to log in before you can comment on or make changes to this bug.